
using OpenCvSharp;

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Align;

public class AlignElement:IGraphicsElement
{
    public bool Editable { get; set; }
    public bool IsGood { get; set; }
    public Vector2 Location { get; set; }
    public void Draw(ICanvas canvas)
    {
        canvas.DrawCross(Location);
    }

    public void FillMat(Mat mat)
    {
        throw new NotSupportedException();
    }

    public INode? GetNode(Vector2 position, float thDistance)
    {
        return null;
    }

    public void SetPivot(Vector2 pivot)
    {
        throw new NotSupportedException();
    }

    public void MovePivot(Vector2 pivot)
    {
        throw new NotSupportedException();
    }
}